MediaWiki:Gadget-Tooltip.css: Difference between revisions

Kuhlau (talk | contribs)
No edit summary
Tags: Mobile edit Mobile web edit
Kuhlau (talk | contribs)
No edit summary
Tags: Mobile edit Mobile web edit
 
(7 intermediate revisions by the same user not shown)
Line 4: Line 4:


/* Colors */
/* Colors */
:root .wgl-darkmode, :root .wgl-theme-dark {
.skin-vector-legacy.wgl-darkmode, .skin-vector-legacy.wgl-theme-dark { --tooltip-bg: #0c0c0cd6; }
--tooltip-bg: #0c0c0cd6;
.skin-vector-legacy.wgl-lightmode, .skin-vector-legacy.wgl-theme-light { --tooltip-bg: #ecececd6; }
}
.skin-minerva.wgl-lightmode, .skin-minerva.wgl-theme-light { --tooltip-bg: #0c0c0c; }
 
.skin-minerva.wgl-lightmode, .skin-minerva.wgl-theme-light { --tooltip-bg: #ececec; }
:root .wgl-lightmode, :root .wgl-theme-light {
--tooltip-bg: #ecececd6;
}


/** Text styling **/
/** Text styling **/
/* Override collapsible stylings */
/* Override collapsible stylings */
.custom-tt-wrapper.hnaw-collapsible .mw-collapsible-toggle {
.custom-tt-wrapper.hnaw-collapsible .mw-collapsible-toggle-expanded + .custom-tt.mw-collapsible-toggle {
padding: 0;
padding: 0;
border: none;
border: none;
Line 28: Line 25:
font-weight: normal;
font-weight: normal;
}
}
.skin-minerva .custom-tt-wrapper.hnaw-collapsible .mw-collapsible-toggle {
.custom-tt-wrapper.hnaw-collapsible .mw-collapsible-toggle-expanded + .custom-tt.mw-collapsible-content,
.custom-tt-wrapper.hnaw-collapsible .custom-tt.mw-collapsible-toggle {
float: none !important;
float: none !important;
display: inline-block !important;
display: inline-block !important;
Line 37: Line 35:
content: "";
content: "";
}
}
.toggle-tooltip { cursor: help; }
.custom-tt { cursor: help; }


/*** The tooltip's toggle version ***/
/*** The tooltip's toggle version ***/
Line 76: Line 74:


/* Bottom of Page Container (Mobile) */
/* Bottom of Page Container (Mobile) */
.skin-minerva .custom-tt-wrapper .mw-collapsible-content {
.skin-minerva .custom-tt-wrapper.hnaw-collapsible .mw-collapsible-toggle-expanded + .custom-tt.mw-collapsible-content {
position: fixed;
position: fixed;
z-index: 10005;
z-index: 10005;
Line 96: Line 94:


/* Container header */
/* Container header */
.skin-minerva .custom-tt-wrapper .mw-collapsible-content:before {
.skin-minerva .custom-tt-wrapper.hnaw-collapsible .mw-collapsible-toggle-expanded + .custom-tt.mw-collapsible-content:before {
content: "ⓘ Tooltip content:";
content: "ⓘ Tooltip content:";
display: block;
display: block;
Line 106: Line 104:


/* Tooltip surrogate toggle on container header */
/* Tooltip surrogate toggle on container header */
.skin-minerva .custom-tt-wrapper .mw-collapsible-content:after {
.skin-minerva .custom-tt-wrapper.hnaw-collapsible .mw-collapsible-toggle-expanded + .custom-tt.mw-collapsible-content:after {
content: "×" !important;
content: "×" !important;
position: fixed;
position: fixed;
Line 143: Line 141:
}
}
}
}
e